This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 191624 - Review Request: perl-Test-Expect - Automated driving and testing of terminal-based programs
Review Request: perl-Test-Expect - Automated driving and testing of terminal-...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 191623
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-13 19:31 EDT by Jose Pedro Oliveira
Modified: 2010-06-20 21:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 17:51:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-05-13 19:31:01 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Test-Expect.spec
SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Test-Expect-0.30-1.src.rpm

Description:
Test::Expect is a module for automated driving and testing of
terminal-based programs. It is handy for testing interactive programs
which have a prompt, and is based on the same concepts as the Tcl Expect
tool. As in Expect::Simple, the Expect object is made available for
tweaking.
Comment 1 Jason Tibbitts 2006-05-16 20:05:13 EDT
Module::Build is still having trouble in development; I'll review this on FC5. 
(We really should try to help Steve with that.)

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   b22cb4575d910bb2d36e506a958da300  Test-Expect-0.30.tar.gz
   b22cb4575d910bb2d36e506a958da300  Test-Expect-0.30.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (FC5, x86_64), with perl-Expect and perl-Expect-Simple
added.
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=18,  0 wallclock secs ( 0.08 cusr +  0.04 csys =  0.12 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED, but note that you won't be able to build on the development branch
until the Module::Build problem gets worked out.
Comment 2 Jose Pedro Oliveira 2006-05-17 10:47:30 EDT
(In reply to comment #1)
> Module::Build is still having trouble in development; I'll review this on FC5. 
> (We really should try to help Steve with that.)

Last saturday I started looking into it but gave up after one hour or so - I
also wasn't able to see why perl(YAML) < 0.49 is being required.  I will try
again later in the day and/or tomorrow.
Comment 3 Jose Pedro Oliveira 2006-05-18 17:51:57 EDT
Thanks for the review.

Imported and built for FC-5 and devel.
Comment 4 Mark Chappell 2010-06-18 12:47:18 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=191622 - cweyl implied he's not interested in EPEL, and at todays EPEL meeting Smooge suggested I should just put the requests through.

Package Change Request
======================
Package Name: perl-Expect
New Branches: EL-6
Owners: tremble
Comment 5 Jason Tibbitts 2010-06-18 12:53:10 EDT
Did you mean perl-Test-Expect there?
Comment 6 Mark Chappell 2010-06-18 12:58:48 EDT
I did, yes, sorry

Package Change Request
======================
Package Name: perl-Test-Expect
New Branches: EL-6
Owners: tremble
Comment 7 Kevin Fenzi 2010-06-20 21:50:33 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.